/***
CiberWebRadio
install.js (Ptit Lutin)

http://developer.mozilla.org/en/docs/XPInstall_API_Reference
http://xulfr.org/xulplanet/xultu/xpiscript.php
http://www.deftone.com/blogzilla/archives/install_extensions_into_your_profile_directory.html
(Bug 162960)
http://lxr.mozilla.org/mozilla/source/xpinstall/src/nsInstall.h
***/
const displayName         = "CiberWebRadio";
const name                = "ciberwebradio";
const version             = "0.7";
const jarName             = name + ".jar";

var folder                = getFolder("Profile", "chrome");
var contentFlag           = CONTENT | PROFILE_CHROME;
var localeFlag            = LOCALE | PROFILE_CHROME;
var skinFlag              = SKIN | PROFILE_CHROME;

var err                   = null;

// INITIALISATION DE L'INSTALLATION
err = initInstall(displayName, name, version);
logComment("initInstall :" + err);
setPackageFolder(folder);

// SPECIFICATION DES FICHIERS A INSTALLER
err = addFile("chrome/" + jarName);
logComment("addFile :" + err);
folder = getFolder(folder, jarName);
err = registerChrome(contentFlag, folder, "content/");
logComment("registerChrome (content):" + err);
err = registerChrome(localeFlag, folder, "locale/en-US/");
logComment("registerChrome (en-US):" + err);
err = registerChrome(localeFlag, folder, "locale/fr-FR/");
logComment("registerChrome (fr-FR):" + err);

// FINALISATION DE L'INSTALLATION
err = getLastError();
logComment("getLastError :" + err);
if (!err)
  performInstall();
else
  cancelInstall(err);
